﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace MultiSelectionComboBox
{
    public partial class Form1 : Form
    {
        List<string> vs = new List<string>();
        public Form1()
        {
            InitializeComponent();
            
            vs.Add("Prefix");
            vs.Add("Desc.");
            vs.Add("MAG");
            vs.Add("Signal");
            vs.Add("Timestamp");
            vs.Add("Series");
            multiSelectionComboBox1.DataSource = vs;
            multiSelectionComboBox1.ShowCheckBox = true;
            this.Load += Form1_Load;
            multiSelectionComboBox1.SelectedItemCollectionChanged += MultiSelectionComboBox1_SelectedItemCollectionChanged;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            for (int i = 0; i < vs.Count; ++i)
            {
                multiSelectionComboBox1.SelectedItems.Add(vs[i]);
                multiSelectionComboBox1.AddVisualItem(vs[i]);
            }
        }

        private void MultiSelectionComboBox1_SelectedItemCollectionChanged(object sender, Syncfusion.Windows.Forms.Tools.SelectedItemCollectionChangedArgs e)
        {
            int count = this.multiSelectionComboBox1.SelectedItems.Count;
            label2.Text = count.ToString();
            string strSel = string.Empty;
            for (int i = 0; i < multiSelectionComboBox1.SelectedItems.Count; i++)
            {
                strSel += (string)(multiSelectionComboBox1.SelectedItems[i] as DataRowView).Row[0];
            }
            label4.Text = strSel;
        }
    }
}
